Subject: Re: [PATCH] add a sysctl to disable TCP simultaneous connection opening

From: Rémi Denis-Courmont <[email-masked]>
Date: Thu, 9 Oct 2008 19:21:03 +0300

Le mercredi 8 octobre 2008 14:54:02 Stephen Hemminger, vous avez écrit :
> Does this break NAT traversal via STUNT used by applications like Skype?

This will break the main ICE-TCP mechanism (IETF draft-ietf-mmusic-ice-tcp).
I am not aware of any application using this _as_of_now_. Probably too many 
NAT and firewall implementations will reject it already. And then, some TCP 
stacks reportedly do not support it (e.g. Windows before Vista).

On the other hand, if someone were to tunnel/encapsulate TCP over UDP, this 
could actually be useful - think about peer-to-peer NATted-to-NATted file 
transfers for instance.

-- 
Rémi Denis-Courmont
http://www.remlab.net/